package com.zcloud.mapper.datasource.eightwork;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：动火措施中间表
 * 作者：luoxiaobao
 * 时间：2021-09-18
 * 官网：www.zcloudchina.com
 */
public interface HighworkToMeasuresMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	void saveBatch(List<PageData> signers);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	List<PageData> listAllMeasuresForSign(PageData pd);

	List<PageData> listSignFinishMeasures(PageData pd);
}

